> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/writing-notes.md).

# Writing Notes

unSkript is built on top of Jupyter notebooks, so all xRunBooks have the capability to be appended with markdown formatted notes. &#x20;

{% hint style="info" %}
If you are not familiar with markdown, here's a great [`guide`](https://www.markdownguide.org/). Or just use text.  It's all good.
{% endhint %}

Use the **Add Action** drop down to select **Add Notes** Option. This will open a new note in edit mode. Use markdown syntax to jot down your notes.

![](/files/HRnn6kWwEAOadjzjeSDd)

### Best Practices

* Add a Note field at the top of the xRunBook describing the purpose of the xRunBook and how it works.  List all the parameters that the xRunBook requires, and how they are used
* Comment on each Action on how it works. A sample output helps others understand what data is coming from each Action.
* Conclude with a description of the output. Including a sample output is also quite beneficial

{% embed url="<https://youtu.be/3tPHPRtFmtY>" %}
Example video on adding Comments/Nots to a RunBook
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/writing-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
